Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 84380 - Installer hangs during post install with "loop over non-sequence"
Summary: Installer hangs during post install with "loop over non-sequence"
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda
Version: 7.3
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Michael Fulbright
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-02-15 04:48 UTC by Jon Hudson
Modified: 2007-04-18 16:51 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-02-20 00:09:25 UTC


Attachments (Terms of Use)

Description Jon Hudson 2003-02-15 04:48:50 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0)

Description of problem:

This is a bootable CD that I created to do a site specific Redhat 7.3 install.

It all goes well. CD boots fine, install beings. Partitions go fine, all rpms 
get installed fine. It then goes into the post-install phase and gets hung up 
on this error.

Traceback (innermost last):
 File "/usr/bin/anaconda", liine 633, in ?
  intf.run(id, dispatch, configFileData)
 File "/usr/lib/anaconda/text.py", line 429, in
run
  (step, args) = dispatch.currentStep()
 File "/usr/lib/anaconda/dispatch.py", line 250,
in currentStep
  args = self.bindArgs(stepInfo[1])
 File "/usr/lib/anaconda/dispatch.py", line 232,
in bindArgs
  for arg in args:
TypeError: loop over non-sequence


Please help =) I need to get this working to convince my company to switch to 
linux.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Boot off my cd =)
2.
3.
    

Actual Results:  I get the error I included in the description and the 
installation fails.

Expected Results:  
The post install should have finished and should have a happy linux box.

Additional info:

Please please help me =)

Comment 1 Jeremy Katz 2003-02-15 20:02:50 UTC
Could you please attach the complete traceback you receive.

Comment 2 Jon Hudson 2003-02-20 00:09:25 UTC
UG!!!!

So sorry. Turned out to be an error on my part. Turned out that "info" 
and "kudzu" needed to be installed for it to work.

Thanks much,
Jon 


Note You need to log in before you can comment on or make changes to this bug.